By continuing to use this site, you agree to the Terms of Service of this website, including usage of cookies.

OK, Don't show this again

AutoPickup plugin for Pocketmine-MP
version 1.0.6
Approved
Direct Download How to install?
Switch version
789 Downloads / 4980 Total
7 Reviews
Plugin Description §

AutoPickup

AutoPickup

|

A simple plugin that sends drops directly to the inventory.

Features

  • Sends drops of mined blocks directly to the player
  • Sends drops of killed entities directly to the player
  • Sends xp directly to the player
  • Easy to use

Config

In the configuration file you can decide in which worlds AutoPickup should be activated.

# Mode can be either "whitelist" or "blacklist".
# Whitelist ensures that AutoPickup is only active in the worlds entered below.
# Blacklist ensures that AutoPickup is deactivated in the worlds entered below.
mode: blacklist
# Set whitelisted/blacklisted worlds here.
worlds: []

# Set a pop-up message here that appears when the player's inventory is full.
# Leave blank to disable pop-up messages.
full-inventory-popup: '&cYour inventory is full!'
What's new §
  • Send entity drops to player
  • Code improvements

NOTE: Make sure to delete the old configuration file after updating

  • Added pm4 support
  • Removed pm3 support
  • Ignore event, if cancelled
  • Store config settings on startup
  • Updated README content
  • Version bump
  • Configurable whitelist/blacklist of worlds
  • Popup message when the inventory of a player is full

Note: The configuration file must be deleted once after the update.

  • Event priority adjusted
  • It is now possible to define in which worlds the plugin should be active
  • Fixed a bug where items were added to the inventory even though the event was cancelled.

TukangM
using v1.0.6
05 Apr 22
good plugin!
NguyenDuck
Outdated
using v1.0.5
16 Jan 22
MrNinja008
Outdated
using v1.0.2
20 Jun 21
Best Plug-in. However can you add a pop-up title when players get full inv like alert?
NoNeim1
Outdated
using v1.0.2
19 Jun 21
Thanks for fixing the error, updated from 1 star to 5
TacoNoBurrito
Outdated
using v1.0.1
17 Jun 21
ZenZoya-coder
Outdated
using v1.0.0
02 Jun 21
Nice :D
TheConceptually
Outdated
using v1.0.0
01 Jun 21
Too many plugins like this have been approved

Reply to review by :

/ 5
Supported API versions
4.0.0
->
4.3.1
Producers §
  • Collaborators:
    • @Tobias-2006
  • Contributors:
    • @TacoNoBurrito
License §
Categories:
General
Miscellaneous

You can leave one review per plugin release, and delete or update your review at any time

/ 5
Loading...